Unit tde40r_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, FDE40R_p, DE40R_p;

function tde40r: String;

implementation

function tde40r: String;
var
M,JSTART,IH,IERR :Integer;
X,H,Y1,Y2 :Real;
Y :Array [0..1] of Real;
DY :Array [0..1] of Real;
DELTY :Array [0..1] of Real;
DF :Array [0..9] of Real;
RFN :Array [0..1] of Real;
RF :Array [0..1] of Real;
YP :Array [0..1] of Real;
DYP :Array [0..1] of Real;
label
_6,_7,_8,_20;
begin
Result := '';  {   }
M := 2;
X := 0.75*3.14159265359;
H := 0.01;
Y[0] := Sqrt(2.0)/2.0;
Y[1] := -Y[0];
DY[0] := Y[1];
DY[1] := -Y[0];
JSTART := 0;
IH := 0;
//H := -H;
_6:
DE40R(FDE40R,M,JSTART,Y,X,DY,H,DELTY,DF,RFN,RF,YP,DYP,IERR);
IH := IH+1;
Y1 := Sin(X);
Y2 := Cos(X);
Result := Result + Format(' %20.16f %20.16f %20.16f %20.16f %20.16f %20.16f ',
 [X,Y[0],Y[1],H,Y1,Y2]) + #$0D#$0A;
if ( IH = 1 ) 
 then goto _6;
if ( IH = 5 ) 
 then goto _20;
JSTART := -1;
if ( IH = 4 ) 
 then goto _8;
if ( IH = 3 ) 
 then goto _7;
H := 0.005;
H := -H;
goto _6;
_7:
H := 0.03;
goto _6;
_8:
H := 0.01;
goto _6;
_20:
UtRes('tde40r',Result);  {     tde40r.res }
exit;
end;

end.
